Prefer old Mercurial 2.8.2 to avoid various problems

Dear fellow Mercurial users,

after working some weeks with Phabricator for Mercurial hosting, various problems (and workarounds) have shown up:

An easy way to avoid this is to use Mercurial 2.8.2, i.e. the version that is used by the hosting service https://admin.phacility.com

See also https://isabelle-dev.sketis.net/T8